/**
 * @license
 * Copyright 2025 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import type { GeminiCLIExtension } from '@google/gemini-cli-core';
export declare function WorkspaceMigrationDialog(props: {
    workspaceExtensions: GeminiCLIExtension[];
    onOpen: () => void;
    onClose: () => void;
}): import("react/jsx-runtime").JSX.Element;
